<?php

namespace Apps\Cms\Widget\PluginEditor;

use Core\View\View;
use Core\View\ElementView;

class PluginEditor {

    /**
     * Constructeur
    */
  function __construct($core = "", $data = "") {
        $this->Core = $core;
      $this->Data = $data;
  }

  public function Render(){

    $view = new View(__DIR__ . "/View/index.tpl", $this->Core);
      
    $plugins = \Apps\EeApp\Helper\AppHelper::GetPluginApp($this->Core, "Cms");
        
    $view->AddElement(new ElementView("Plugins", $plugins));
     
    return $view->Render();
  }
}